Create¶
POST /api/v1/log_backup_cfg/add
Overview¶
Create a single data forwarding rule
Body Request Parameters¶
| Parameter Name | Type | Required | Description |
|---|---|---|---|
| name | string | Y | Rule name Example: xxx Allow empty: False |
| extend | json | Frontend custom data Allow empty: True |
|
| syncExtensionField | boolean | Synchronize backup extension fields, true for sync, false for no sync, default is no sync Allow empty: False |
|
| openPermissionSet | boolean | Enable custom permission configuration, (default false: disabled). When enabled, the permission to read data from the forwarding rule is based on readPermissionSet (added in 2025-03-26 iteration) Allow empty: False |
|
| readPermissionSet | array | Permission configuration for reading data from the data forwarding rule, configurable roles (except owner) (added in 2025-03-26 iteration) Example: ['wsAdmin', 'general'] Allow empty: False |
|
| storeType | string | Storage type Allow empty: False Allow empty string: True Allowed values: ['guanceObject', 's3', 'obs', 'oss', 'kafka', 'tos'] |
|
| storageClass | string | Storage class Allow empty: False Allow empty string: True |
|
| storageFormat | string | Storage format, default value is json Allow empty: False Allow empty string: True Allowed values: ['json', 'parquet'] |
|
| dataType | string | Data type Allow empty: False Allowed values: ['llm', 'logging', 'tracing', 'rum', 'keyevent', 'audit_event'] |
|
| duration | string | Data retention period, Example: 180d Allowed values: ['180d', '360d', '720d'] |
|
| accessCfg | json | External resource access configuration information Allow empty: False |
|
| accessCfg.provider | string | Provider Allow empty: False Allowed values: ['aliyun', 'aws', 'huawei', 'volcengine'] |
|
| accessCfg.grantType | string | Authorization type Allow empty: False Allowed values: ['role', 'ram', 'account'] |
|
| accessCfg.cloudAccountId | string | Cloud account ID Allow empty: False |
|
| accessCfg.bucket | string | Bucket Allow empty: False |
|
| accessCfg.externalId | string | External unique identifier ID (External unique identifier ID in AWS role authorization) Allow empty: False |
|
| accessCfg.role | string | Role name Allow empty: False |
|
| accessCfg.ak | string | Access Key Id Allow empty: False |
|
| accessCfg.sk | string | Secret Key Allow empty: False |
|
| accessCfg.topic | string | Topic Allow empty: False Allow empty string: True |
|
| accessCfg.url | string | URL address (applied to kafka) Allow empty: False |
|
| accessCfg.securityProtocol | string | Security protocol (applied to kafka) Allow empty: False Allowed values: ['plaintext', 'sasl_plaintext', 'sasl_ssl'] |
|
| accessCfg.ca | string | Client SSL certificate content Allow empty: False Allow empty string: True |
|
| accessCfg.mechanism | string | Authentication mechanism Allow empty: False Allow empty string: True Allowed values: ['plain', 'scram-sha-256', 'scram-sha-512'] |
|
| accessCfg.username | string | Username Allow empty: False Allow empty string: True |
|
| accessCfg.password | string | Password Allow empty: False Allow empty string: True |
|
| accessCfg.region | string | Region (optional, if not provided, defaults to the corresponding vendor region matching the current site) Allow empty: False |
|
| accessCfg.endpoint | string | Access endpoint, optional when storeType is s3/obs/oss/tos and grantType=ram Allow empty: False |
|
| accessCfg.bucketPath | string | Bucket path Allow empty: False Allow empty string: True |
|
| accessCfg.isEncrypt | boolean | Indicates whether the forwarded data is encrypted, default is false (not encrypted) Allow empty: False |
Parameter Supplementary Description¶
Response¶
{"code":200,"content":{"conditions":"","createAt":1697613651,"creator":"xxx","dataType":"tracing","deleteAt":-1,"extend":{"filterLogic":"and","filters":[]},"externalResourceAccessCfgUUID":"erac_xxxx32","id":null,"name":"temp_test","status":0,"storeType":"obs","syncExtensionField":true,"taskErrorCode":"","taskStatusCode":-1,"updateAt":1697613651,"updator":"xxx","uuid":"lgbp_xxxx32","workspaceUUID":"wksp_xxxx32"},"errorCode":"","message":"","success":true,"traceId":"TRACE-31D4417B-2665-4CFA-9BC9-60BD6A540744"}
requestCurl: |
```shell
curl '<Endpoint>/api/v1/log_backup_cfg/add' \
-H 'Accept: application/json, text/plain, */*' \
-H 'Content-Type: application/json;charset=UTF-8' \
-H 'DF-API-KEY: <DF-API-KEY>' \
--data-raw '{"extend":{"filters":[],"filterLogic":"and"},"syncExtensionField":true,"storeType":"s3","name":"temp_test","dataType":"tracing","accessCfg":{"grantType":"ram","bucket":"test-s3-001","region":"cn-south-1","provider":"aws","endpoint":"https://s3.custom-endpoint.example.com"}}' \
--compressed